it.reply.healty.innovapuglia.mstaccuino.service.data

## Class RilevazioneDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.RilevazioneDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>

      @Component
      public class RilevazioneDataService
      extends Object
      implements IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RilevazioneDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rilevazione` | `addNtt(NotaTaccuino nota, RilevazioneRequestDTO detectionRequest)` Aggiunge al database una nuova istanza di tipo Rilevazione
    `void` | `deprecaNtt(Rilevazione rilevazione)` Cancella logicamente l'istanza di tipo Rilevazione inserita in input
    `List<Rilevazione>` | `findAllNttById(String idNota)` Recupera l'elenco di Rilevazione associati ad un id nota
    `Rilevazione` | `getNttById(String idRilevazione)` Restituisce l'entity della rilevazione in base al suo ID
    `Rilevazione` | `updateNtt(Rilevazione rilevazione, RilevazioneRequestDTO newParametroDto)` Crea e salva un'istanza di tipo Rilevazione aggiornata con i dati in input, e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RilevazioneDataService

          public RilevazioneDataService()

  - ### Method Detail

    - #### getNttById

          public Rilevazione getNttById(String idRilevazione)
                                 throws FaultException,
                                        RilevazioneNonTrovataException

      Restituisce l'entity della rilevazione in base al suo ID
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>`
      Parameters:
        `idRilevazione` - l'ID da ricercare
      Returns:
        La rilevazione trovata
      Throws:
        `FaultException`
        `RilevazioneNonTrovataException`

    - #### addNtt

          public Rilevazione addNtt(NotaTaccuino nota,
                                    RilevazioneRequestDTO detectionRequest)
                             throws FaultException

      Aggiunge al database una nuova istanza di tipo Rilevazione
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato l'oggetto
        `detectionRequest` - Oggetto contenente i dati di input della rilevazione
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNtt

          public void deprecaNtt(Rilevazione rilevazione)
                          throws FaultException

      Cancella logicamente l'istanza di tipo Rilevazione inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>`
      Parameters:
        `rilevazione` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public Rilevazione updateNtt(Rilevazione rilevazione,
                                       RilevazioneRequestDTO newParametroDto)
                                throws FaultException

      Crea e salva un'istanza di tipo Rilevazione aggiornata con i dati in input, e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>`
      Parameters:
        `rilevazione` - Vecchia istanza dell'oggetto da modificare
        `newParametroDto` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### findAllNttById

          public List<Rilevazione> findAllNttById(String idNota)
                                           throws FaultException

      Recupera l'elenco di Rilevazione associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,RilevazioneRequestDTO,Rilevazione,RilevazioneNonTrovataException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco di Rilevazione, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

Copyright © 2024. All rights reserved.